import { jsx } from "react/jsx-runtime";
import { DropHalfIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DropHalf = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "DropHalf", ...props, children: /* @__PURE__ */ jsx(DropHalfIcon, { weight: variant }) });
  }
);
DropHalf.displayName = "DropHalf";
Object.assign(DropHalf, { isGdsIcon: true });
export {
  DropHalf
};
